using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate661 : MulticastDelegate
{
	public extern void Invoke(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0, IAsyncStateMachine iasyncStateMachine_0);

	public static void smethod_0(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0, IAsyncStateMachine iasyncStateMachine_0, Delegate661 delegate661_1)
	{
		delegate661_1(ref asyncTaskMethodBuilder_0, iasyncStateMachine_0);
	}

	public extern Delegate661(object object_0, IntPtr intptr_0);

	static Delegate661()
	{
		Class10.smethod_13(typeof(Delegate661).TypeHandle);
	}

	internal static Delegate661 delegate661_0;
}
